[arch-commits] Commit in firefox/trunk (4 files)

Ionut Biru ibiru at archlinux.org
Thu Jan 21 12:41:30 EST 2010


    Date: Thursday, January 21, 2010 @ 12:41:30
  Author: ibiru
Revision: 64646

upgpkg: firefox 3.6-1
    bump to 3.6

Modified:
  firefox/trunk/PKGBUILD
  firefox/trunk/browser-defaulturls.patch
  firefox/trunk/firefox-version.patch
  firefox/trunk/mozconfig

---------------------------+
 PKGBUILD                  |   22 +++++++++++-----------
 browser-defaulturls.patch |    2 +-
 firefox-version.patch     |    2 +-
 mozconfig                 |    2 +-
 4 files changed, 14 insertions(+), 14 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-21 17:40:48 UTC (rev 64645)
+++ PKGBUILD	2010-01-21 17:41:30 UTC (rev 64646)
@@ -2,14 +2,14 @@
 # Contributor: Jakub Schmidtke <sjakub at gmail.com>
 
 pkgname=firefox
-pkgver=3.5.7
+pkgver=3.6
 pkgrel=1
-_xulver=1.9.1.7
+_xulver=1.9.2
 pkgdesc="Standalone web browser from mozilla.org"
 arch=(i686 x86_64)
 license=('MPL' 'GPL' 'LGPL')
 depends=("xulrunner=${_xulver}" 'desktop-file-utils')
-makedepends=('zip' 'pkgconfig' 'diffutils' 'libgnomeui>=2.24.1' 'python')
+makedepends=('zip' 'pkgconfig' 'diffutils' 'libgnomeui>=2.24.1' 'python' 'wireless_tools')
 replaces=('firefox3')
 install=firefox.install
 url="http://www.mozilla.org/projects/firefox"
@@ -20,16 +20,16 @@
         mozilla-firefox-1.0-lang.patch
         browser-defaulturls.patch
         firefox-version.patch)
-md5sums=('82e6f568ddeaae52e85aa089277f5d14'
-         'd672df11a6e16a5dec68428b00bfb810'
+md5sums=('458051557ff49e6a352c1d56eee5782a'
+         'd822edea6be72de2e4a0cf3076f225be'
          'ba96924ece1d77453e462429037a2ce5'
          '5e68cabfcf3c021806b326f664ac505e'
          'bd5db57c23c72a02a489592644f18995'
-         '346d74ec560e7bbf453c02ff21f4b868'
-         '1dd9a10df0b9e4cf332eadc326d78e07')
+         '8bf21158090c89fd834bb711aae0602e'
+         '92c11c66dd69b03f214002fededd1fc8')
 
 build() {
-  cd "${srcdir}/mozilla-1.9.1"
+  cd "${srcdir}/mozilla-1.9.2"
   patch -Np1 -i "${srcdir}/mozilla-firefox-1.0-lang.patch" || return 1
   patch -Np0 -i "${srcdir}/browser-defaulturls.patch" || return 1
   patch -Np1 -i "${srcdir}/firefox-version.patch" || return 1
@@ -38,16 +38,16 @@
   unset CFLAGS
   unset CXXFLAGS
 
-  export LDFLAGS="-Wl,-rpath,/usr/lib/firefox-3.5"
+  export LDFLAGS="-Wl,-rpath,/usr/lib/firefox-3.6"
 
   make -j1 -f client.mk build MOZ_MAKE_FLAGS="${MAKEFLAGS}" || return 1
   make -j1 DESTDIR="${pkgdir}" install || return 1
 
-  rm -f ${pkgdir}/usr/lib/firefox-3.5/libjemalloc.so
+  rm -f ${pkgdir}/usr/lib/firefox-3.6/libjemalloc.so
 
   install -m755 -d ${pkgdir}/usr/share/applications
   install -m755 -d ${pkgdir}/usr/share/pixmaps
-  install -m644 ${srcdir}/mozilla-1.9.1/browser/branding/unofficial/default48.png ${pkgdir}/usr/share/pixmaps/firefox.png || return 1
+  install -m644 ${srcdir}/mozilla-1.9.2/browser/branding/unofficial/default48.png ${pkgdir}/usr/share/pixmaps/firefox.png || return 1
   install -m644 ${srcdir}/firefox.desktop ${pkgdir}/usr/share/applications/ || return 1
   install -m644 ${srcdir}/firefox-safe.desktop ${pkgdir}/usr/share/applications/ || return 1
 }

Modified: browser-defaulturls.patch
===================================================================
--- browser-defaulturls.patch	2010-01-21 17:40:48 UTC (rev 64645)
+++ browser-defaulturls.patch	2010-01-21 17:41:30 UTC (rev 64646)
@@ -2,7 +2,7 @@
 +++ browser/branding/unofficial/locales/browserconfig.properties	2009-06-13 17:05:28.000000000 +0200
 @@ -1,3 +1,3 @@
  # Do NOT localize or otherwise change these values
--browser.startup.homepage=http://www.mozilla.org/projects/shiretoko/
+-browser.startup.homepage=http://www.mozilla.org/projects/namoroka/
 +browser.startup.homepage=http://www.google.com/firefox
  
 --- browser/branding/unofficial/pref/firefox-branding.js~	2009-06-13 16:57:53.000000000 +0200

Modified: firefox-version.patch
===================================================================
--- firefox-version.patch	2010-01-21 17:40:48 UTC (rev 64645)
+++ firefox-version.patch	2010-01-21 17:41:30 UTC (rev 64646)
@@ -4,7 +4,7 @@
  
  include $(DEPTH)/config/autoconf.mk
  
-+MOZ_APP_VERSION="3.5"
++MOZ_APP_VERSION="3.6"
 +
  NO_PKG_FILES = \
  	$(MOZ_APP_NAME)-config \

Modified: mozconfig
===================================================================
--- mozconfig	2010-01-21 17:40:48 UTC (rev 64645)
+++ mozconfig	2010-01-21 17:41:30 UTC (rev 64646)
@@ -23,7 +23,7 @@
 ac_add_options --enable-startup-notification
 ac_add_options --enable-libxul
 ac_add_options --disable-crashreporter
-ac_add_options --with-libxul-sdk=/usr/lib/xulrunner-devel-1.9.1
+ac_add_options --with-libxul-sdk=/usr/lib/xulrunner-sdk-1.9.2
 ac_add_options --enable-safe-browsing
 ac_add_options --with-branding=browser/branding/unofficial
 



More information about the arch-commits mailing list